List tags
curl --request GET \
--url https://api.coval.dev/v1/tags \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.coval.dev/v1/tags"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.coval.dev/v1/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tags": [
{
"name": "tags/01HX2ABC3DEF4GHI5JKL6MNO7P",
"id": "01HX2ABC3DEF4GHI5JKL6MNO7P",
"tag_name": "production",
"color": "#3b82f6",
"create_time": "2025-10-14T12:00:00Z",
"created_by": "engineer@example.com"
},
{
"name": "tags/01HX3DEF4GHI5JKL6MNO7PQR8S",
"id": "01HX3DEF4GHI5JKL6MNO7PQR8S",
"tag_name": "staging",
"color": "#f59e0b",
"create_time": "2025-10-13T08:00:00Z",
"created_by": "engineer@example.com"
}
],
"next_page_token": null
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "Authentication failed",
"details": [
{
"field": "X-API-Key",
"description": "Invalid or missing API key"
}
]
}
}{
"error": {
"code": "INTERNAL",
"message": "Internal server error",
"details": [
{
"description": "An unexpected error occurred"
}
]
}
}Tags
List tags
Retrieve all active tags for your organization.
GET
/
tags
List tags
Authorizations
API key for authentication
Query Parameters
Maximum number of results per page
Required range:
1 <= x <= 100Opaque pagination token from previous response
Was this page helpful?
⌘I